Type to search.

Get the status for a data stream lifecycle

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.11 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Get information about an index or data stream's current data stream lifecycle status, such as time since index creation, time since rollover, the lifecycle configuration managing the index, or any errors encountered during lifecycle execution.

About data stream lifecycle

Required privileges

Index privileges view_index_metadata

Path parameters

index union string | string[] required

Comma-separated list of index names to explain

Query parameters

include_defaults boolean · default: false

Indicates if the API should return the default values the system uses for the index's lifecycle

master_timeout union oneOf · default: 30s

The period to wait for a connection to the master node.

Values: -1 0

Response

application/json
indices map string to object required
<string> object
index string required
managed_by_lifecycle boolean required
index_creation_date_millis number
time_since_index_creation union oneOf
Values: -1 0
rollover_date_millis number
time_since_rollover union oneOf
Values: -1 0
generation_time union oneOf
Values: -1 0
error string
frozen_transition_status string
unmanaged_reason string